/* Reset some default styles */
* {
    margin: 20;
    padding: 0;
    box-sizing: border-box;
    font-family:'Segoe UI', Tahoma, Geneva, Verdana, sans-serif
}
.intro-container{
display: flex;
justify-content: center;
align-items: center;
flex-direction: column;
}
.intro-container img{
    width: 50%;
    min-width: 300px;
   
}
.intro-container input{
   margin-top: 1px;
   
}
/* Style for labels */
label {
    display: block;
    margin-bottom: 8px;
    font-weight: bold;
   
}

/* Style for the date input */
input[type="date"] {
    padding: 5px;
    border: 1px solid #ccc;
    border-radius: 4px;
    width: 100%;
    max-width: 300px;
   
}

/* Style for the select input */
select#time {
   
    padding: 5px;
    border: 1px solid #ccc;
    border-radius: 4px;
    width: 100%;
    max-width: 300px;
}
.intro-container button {
    margin-top: 5px;
    padding: 2px 12px; /* Adjust padding as needed */
    background-color: #c2935d; /* Button background color */
    color: #ffffff; /* Button text color */
    border: none; /* Remove button border */
    border-radius: 4px; /* Add a slight border radius for rounded corners */
    cursor: pointer; /* Change cursor to pointer on hover for better UX */
    font-size: 15px; /* Adjust font size as needed */
}

/* Style for the button on hover */
button:hover {
    background-color: #0056b3; /* Change background color on hover */
}
/* Basic styles for the chat container */
.chat-container {
   
    max-width: 400px;
    margin: 0 auto;
    padding: 20px;
    border: 1px solid #ccc;
    border-radius: 5px;
    background-color: #f9f9f9;
}
.loader {
   margin-left: 2px;
   margin-top:2px;
    display: none; /* Initially hidden */
}
/* Styles for the chat messages */
.chat {
  
    max-height: 300px;
    overflow-y: scroll;
    border: 1px solid #ddd;
    padding: 10px;
    border-radius: 5px;
    background-color: #fff;
}

/* Styles for individual chat messages */
.message {
    margin: 5px;
    padding: 8px;
    border-radius: 5px;
    clear: both;
    display: inline-block;
    max-width: 70%;
}

/* Styles for sent messages */
.message.sent {
    float: right;
    background-color: #4CAF50;
    color: white;
}

/* Styles for received messages */
.message.received {
    float: left;
    background-color: #2196F3;
    color: white;
}

/* Styles for the user input and send button */
.input-container {
    display: flex;
    margin-top: 10px;
}

#user-input {
    flex-grow: 1;
    padding: 5px;
    border: 1px solid #ccc;
    border-radius: 5px;
}

#send-button {
    margin-left: 1px;
    background-color: #4CAF50;
    color: white;
    border: none;
    border-radius: 5px;
    cursor: pointer;
    width: 10%;
}
